.\" $Id: oraclestats.man,v 1.3 2012/02/03 19:49:59 ksb Exp $
.\" by Kevin Braunsdorf
.\" $Compile: Display%h
.\" $Display: ${nroff-groff} -Tascii -man %f | ${PAGER:-less}
.\" $Install: %b -mDeinstall %o %f && cp %f $DESTDIR/usr/local/man/man8/oraclestats.8
.\" $Deinstall: ${rm-rm} -f $DESTDIR/usr/local/man/[cm]a[nt]8/oraclestats.8*
.TH ORACLESTATS 8L LOCAL
.SH NAME
oraclestats \- report simple Oracle database statistics to PEG
.SH SYNOPSIS
.ds PN "oraclestats
\fI\*(PN\fP [\fB\-ax\fP] [\fB\-N\fP\~\fInode\fP] [\fB\-s\fP\~\fIlogin\fP] [\fIdbs\fP]
.br
\fI\*(PN\fP \fB\-h\fP
.br
\fI\*(PN\fP \fB\-V\fP

.SH DESCRIPTION
The performance and engineering site accepts 9 Oracle server statistics
under the oracle.cvu description.   These are presented (usually) under
the floating VIP that provided the SQL port, or may be linked into
each of the hosts that might provide the VIP.
.P
In the latter case just running \fI\*(PN\fP once every 2 miniutes or so
via \fBcron\fP(8) should keep PEG happy.  That task may be tied to
the floating VIP with \fBhaveip\fP(1l).
.P
If you need to report under a difference hostname (of the VIP name)
use the \fB\-N\fP option to change the effective hostname.


.SH OPTIONS
.TP
\fB\-a\fP
Each database login is suffixed with "@\fIdb\fP" as presented
to \fBsqlplus\fP(1).
.TP
\fB\-h\fP
Print a brief help message.
.TP
\fB\-N\fP \fInode\fP
Change the name of the node that is reporting the data to \fInode\fP.
If their are 8 hosts that could carry the virtual IP for the database
all of them could report as the same "virtual host" under this option.
The default is the name of the host with the normal PEG whittling.
.TP
\fB\-s\fP \fIlogin\fP
Provice a sql login for each \fIdb\fP to over-ride \fB.oraenv\fP's
shell variable ($\fBOSTAT_LOGIN\fP).
.TP
\fB\-V\fP
Show version information.  Show the default node name too.

.SH EXAMPLES
.TP
/usr/local/libexec/oraclestats \-x HistDB
Run a single poll of the "HistDB" and show the data sent on \fIstderr\fP

.SH ENVIRONMENT
The file \fB.oraenv\fP is sourced (with the dot command) into the
running script to provide some environment variables.

.SH BUGS
This program about as long as the manual page.

.SH AUTHORS
Kevin Braunsdorf, and many others
.br
peg within-no-spamming ksb.npcguild.org

.SH "SEE ALSO"
sh(1), rrdup(1l), sqlplus(1), haveip(1l)
